package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.web.domain.BaseEntity;

import java.util.Date;

public class LabManageWorkChartVo extends BaseEntity {

    /**
     * 类型 1 校级，2 院级
     */
    private Integer type = 2;
    /**
     * 标题 6月20至6月27日分级管控工作
     * 日期为本周
     */
    private String title;
    /**
     * 具体日期（如 6月20日）
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date currentDate;
    /**
     * 具体日期（如 6月20日）
     */
    private String currentDateStr;
    /**
     * 具体日期是星期几
     */
    private String ofWeek;
    /**
     * 实验室ID
     */
    private Long subId;
    /**
     * 实验室名称
     */
    private String subName;
    /**
     * 实验室所属院系ID
     */
    private Long deptId;
    /**
     * 实验室所属院系名称
     */
    private String deptName;
    /**
     * 安全分类名称
     */
    private String typeName;
    /**
     * 安全分级名称
     */
    private String levelName;
    /**
     * 计划执行数
     */
    private Integer planNum = 0;
    /**
     * 实际执行数
     */
    private Integer finishedNum = 0;
    /**
     * 执行率 %
     */
    private Integer rateNum = 0;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 执行周期  一天，一周，一月，一年，季度，半年
     */
    private String cycle;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    @Override
    public Long getDeptId() {
        return deptId;
    }

    @Override
    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getOfWeek() {
        return ofWeek;
    }

    public void setOfWeek(String ofWeek) {
        this.ofWeek = ofWeek;
    }

    public Integer getPlanNum() {
        return planNum;
    }

    public void setPlanNum(Integer planNum) {
        this.planNum = planNum;
    }

    public Integer getFinishedNum() {
        return finishedNum;
    }

    public void setFinishedNum(Integer finishedNum) {
        this.finishedNum = finishedNum;
    }

    public Integer getRateNum() {
        return rateNum;
    }

    public void setRateNum(Integer rateNum) {
        this.rateNum = rateNum;
    }

    public Date getCurrentDate() {
        return currentDate;
    }

    public void setCurrentDate(Date currentDate) {
        this.currentDate = currentDate;
    }

    public String getCurrentDateStr() {
        return currentDateStr;
    }

    public void setCurrentDateStr(String currentDateStr) {
        this.currentDateStr = currentDateStr;
    }

    public String getCycle() {
        return cycle;
    }

    public void setCycle(String cycle) {
        this.cycle = cycle;
    }
}
